<?php 
if ( is_admin() ) :
function projapoti_option_initt() {
	// Register settings and call sanitation functions
	register_setting( 'projapoti', 'projapoti_op','projapoti_sanitize');
	function projapoti_sanitize($input){
		$input['favicon']=esc_url($input['favicon']);
		$input['fp']=sanitize_text_field($input['fp']);
		$input['fp1']=sanitize_text_field($input['fp1']);
		$input['bk']=projapoti_hex_color($input['bk']);
		$input['footer1']=sanitize_text_field($input['footer1']);
		
		$input['bgc1']=projapoti_hex_color($input['bgc1']);
		$input['co1']=projapoti_hex_color($input['co1']);
		$input['t1']=projapoti_hex_color($input['t1']);
		$input['t2']=projapoti_hex_color($input['t2']);
		$input['t3']=projapoti_hex_color($input['t3']);
		$input['t4']=projapoti_hex_color($input['t4']);
		$input['t5']=projapoti_hex_color($input['t5']);
		$input['t6']=projapoti_hex_color($input['t6']);
		$input['t7']=projapoti_hex_color($input['t7']);
		
		$input['mnb1']=projapoti_hex_color($input['mnb1']);
		$input['mnb2']=projapoti_hex_color($input['mnb2']);
		$input['mnb3']=projapoti_hex_color($input['mnb3']);
		
		$input['fps1']=projapoti_hex_color($input['fps1']);
		$input['fps2']=projapoti_hex_color($input['fps2']);
		$input['fps3']=projapoti_hex_color($input['fps3']);
		$input['fps4']=projapoti_hex_color($input['fps4']);
		$input['alps1']=projapoti_hex_color($input['alps1']);
		$input['alps2']=projapoti_hex_color($input['alps2']);
		$input['alps3']=projapoti_hex_color($input['alps3']);
		$input['alps4']=projapoti_hex_color($input['alps4']);
		$input['sbst1']=projapoti_hex_color($input['sbst1']);
		$input['sbst2']=projapoti_hex_color($input['sbst2']);
		$input['bk']=projapoti_hex_color($input['g']);
		$input['bk']=projapoti_hex_color($input['gt']);
		$input['bk']=projapoti_hex_color($input['r']);
		$input['bk']=projapoti_hex_color($input['rt']);	
		$input['ad1']=sanitize_text_field($input['ad1']);
		 $input['loop']=array('1'=>sanitize_text_field($input['loop'][1]),'2'=>sanitize_text_field($input['loop'][2]),'3'=>sanitize_text_field($input['loop'][3]),'4'=>sanitize_text_field($input['loop'][4]),'5'=>sanitize_text_field($input['loop'][5]));
		return $input;
		}
}
add_action( 'admin_init', 'projapoti_option_initt' );
function projapoti_panal() {
	// Add theme options page to the addmin menu
	add_theme_page( 'projapoti Panel', 'projapoti Panel', 'edit_theme_options', 'projapoti_panel', 'projapoti_panal_option_page');
}

add_action( 'admin_menu', 'projapoti_panal' );

// Function to generate options page
function projapoti_panal_option_page() {?>
<div class="wrp" style="margin-left:50px;">
<div id="panel_logo"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/logo.png" width="40" height="40" /> <h2> <?php _e('Theme option page','projapoti') ?></h2> </div>

<div id="my_panal">

<div id="form_save"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/loding.gif" height="100" width="100" /> </div>

<div id="side_bar">
<div id="my_panel_title">
<img src="<?php echo get_template_directory_uri(); ?>/panel/images/title.png" width="200" height="200" /> 
</div><!--my_title -->
<div id="my_tab">
<ul id="tab_ul">
<li class="active"><span class="general-ico"></span><a href="#tab1"> <?php _e('Genaral Setting','projapoti') ?></a></li>
<li><span class="home-ico"></span><a href="#tab2" > <?php _e('Homepage','projapoti') ?></a></li>
<li> <span class="header-ico"></span><a href="#tab3" ><?php _e('Header & footer Setting','projapoti') ?> </a> </li>
<li> <span class="style-ico"></span><a href="#tab4" ><?php _e('Styling','projapoti') ?> </a> </li>
<li> <span class="header-ico"></span><a href="#tab6" ><?php _e('For Add','projapoti') ?> </a> </li>
</ul>
</div><!--my_tab -->

</div><!--end side_bar -->
<form method="post" action="options.php"> 
<?php settings_fields( 'projapoti' ); ?>

<div id="my_contant">

<div id="tab1" class="active">
<div><h2> <?php _e('Genaral Settings','projapoti') ?> </h2> <?php projapoti_form_submit() ?></div>
     
<?php global $projapoti_panel_op ?>
<?php $a=array('id'=>'favicon','type'=>'upload','d_tails'=>'Custom Favicon');
projapoti_fild_type($a);
?>



 <?php projapoti_form_submit() ?>        
</div><!--tab1 -->
<div id="tab2">
<div><h2><?php _e('Homepage','projapoti') ?></h2> <?php projapoti_form_submit() ?></div>

<div id="my_title">
<h3><?php _e('Feature Post','projapoti') ?></h3>
<div>

  <div>


        <span class="d_tails"><?php _e('Feature Post on /Off','projapoti') ?></span>
        
		<div id="on-off" style="width:300px;">
        <input  <?php  if($projapoti_panel_op['fp']=='on'){?> checked="checked" <?php } ?> value="on"  type="radio"  name="projapoti_op[fp]" id="on_off" class="on_off" style="display:none" />
        <img width="52" height="23" src="<?php echo get_template_directory_uri(); ?>/panel/images/empty.png"  />
        </div><!--on-off -->  
        </div>
<div class="clear">        
<span class="d_tails"><?php _e('Category id','projapoti') ?> </span>


<select name="projapoti_op[fp1]"> 
<?php
		$category_ids = get_all_category_ids();
		foreach($category_ids as $cat_id) {
			  $cat_name = get_cat_name($cat_id);
			 			?> 
			<option <?php if($cat_id==$projapoti_panel_op['fp1']){ echo 'selected="selected"';} ?> value="<?php echo $cat_id;  ?>"><?php echo $cat_name ?></option>
		<?php
		}
		?>
</select> 

</div>
<?php $a=array('id'=>'bk','type'=>'color','d_tails'=>'Background Colour');
projapoti_fild_type($a);
?>
</div>
</div><!--my_title -->


<?php projapoti_form_submit() ?>
<div id="clear" style="clear:both"></div>
   </div><!--tab2 -->  
  
  
  
   
<div id="tab3">
<div><h2> <?php _e('Tab 3','projapoti') ?></h2> <?php projapoti_form_submit() ?></div>

<div id="my_title">
<h3> <?php _e('Custom Footer Text','projapoti') ?></h3>
<div>
<textarea style="display:block; clear:both; width:95%" name="projapoti_op[footer1]"  rows="5"><?php echo stripslashes($projapoti_panel_op['footer1']); ?></textarea>
</div>
</div><!--my_title -->




<?php projapoti_form_submit() ?>
</div><!--tab3 -->


<div id="tab4">
<div><h2><?php _e('Styling','projapoti') ?></h2> <?php projapoti_form_submit() ?></div>

<div id="my_title">
<h3><?php _e('Page Bacground color','projapoti') ?></h3>

<?php $a=array('id'=>'bgc1','type'=>'color','d_tails'=>'Page Bacground Color');
projapoti_fild_type($a);
?>
</div><!--my_title -->

<div id="my_title">
<h3><?php _e('Header Background Colour','projapoti') ?></h3>

<?php $a=array('id'=>'co1','type'=>'color','d_tails'=>'Header Background Color');
projapoti_fild_type($a);
?>
</div><!--my_title -->

<div id="my_title">
<h3><?php _e(' Top Bar','projapoti') ?></h3>

<?php $a=array('id'=>'t1','type'=>'color','d_tails'=>'Top Border');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'t2','type'=>'color','d_tails'=>'Background');
projapoti_fild_type($a); ?>
<?php $a=array('id'=>'t3','type'=>'color','d_tails'=>'Time Background');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'t4','type'=>'color','d_tails'=>'time text');
projapoti_fild_type($a); ?>
<?php $a=array('id'=>'t5','type'=>'color','d_tails'=>'Menue Text');
projapoti_fild_type($a); ?>
<?php $a=array('id'=>'t6','type'=>'color','d_tails'=>'Input Search');
projapoti_fild_type($a); ?>
<?php $a=array('id'=>'t7','type'=>'color','d_tails'=>'Submit Search');
projapoti_fild_type($a); ?>
</div><!--my_title -->


<div id="my_title">
<h3><?php _e('Main Navigation Bar','projapoti') ?> </h3>

<?php $a=array('id'=>'mnb1','type'=>'color','d_tails'=>'Background Color');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'mnb2','type'=>'color','d_tails'=>'Border Color');
projapoti_fild_type($a); ?>

<?php $a=array('id'=>'mnb4','type'=>'color','d_tails'=>'Text Color');
projapoti_fild_type($a); ?>

</div><!--my_title -->

<div id="my_title">
<h3><?php _e(' Feature Post','projapoti') ?> </h3>

<?php $a=array('id'=>'fps1','type'=>'color','d_tails'=>'Background Color');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'fps2','type'=>'color','d_tails'=>'Border Color');
projapoti_fild_type($a); ?>

<?php $a=array('id'=>'fps3','type'=>'color','d_tails'=>'Title Color');
projapoti_fild_type($a); ?>

<?php $a=array('id'=>'fps4','type'=>'color','d_tails'=>'Text Color');
projapoti_fild_type($a); ?>

</div><!--my_title -->

<div id="my_title">
<h3><?php _e(' All Post','projapoti') ?> </h3>

<?php $a=array('id'=>'alps1','type'=>'color','d_tails'=>'Background Color');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'alps2','type'=>'color','d_tails'=>'Border Color');
projapoti_fild_type($a); ?>

<?php $a=array('id'=>'alps3','type'=>'color','d_tails'=>'Title Color');
projapoti_fild_type($a); ?>

<?php $a=array('id'=>'alps4','type'=>'color','d_tails'=>'Text Color');
projapoti_fild_type($a); ?>

</div><!--my_title -->


<div id="my_title">
<h3> <?php _e('Side Bar Style','projapoti') ?> </h3>

<?php $a=array('id'=>'sbst1','type'=>'color','d_tails'=>'Background Color');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'sbst2','type'=>'color','d_tails'=>'Text Color');
projapoti_fild_type($a); ?>



</div><!--my_title -->



<div id="my_title">
<h3> <?php _e('Site Style','projapoti') ?></h3>

<?php $a=array('id'=>'g','type'=>'color','d_tails'=>'Color  1');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'gt','type'=>'color','d_tails'=>'Text Color for  1');
projapoti_fild_type($a); ?>
<?php $a=array('id'=>'r','type'=>'color','d_tails'=>'Color  2');
projapoti_fild_type($a);
?>
<?php $a=array('id'=>'rt','type'=>'color','d_tails'=>'Text Color for  2');
projapoti_fild_type($a); ?>

</div><!--my_title -->



<?php projapoti_form_submit() ?>
</div><!--tab4 -->



<div id="tab6">
<div><h2><?php _e(' For Add','projapoti') ?></h2> <?php projapoti_form_submit() ?></div>

<div id="my_title">
<h3> <?php _e('Header Add','projapoti') ?> </h3>

<div>
<p> <?php _e('Add Size 400x100','projapoti') ?> </p>
<textarea style="display:block; clear:both; width:95%" name="projapoti_op[ad1]"  rows="5">  <?php global $projapoti_panel_op; echo esc_textarea( $projapoti_panel_op['ad1'] ); ?></textarea>

</div>
</div><!--my_title -->


<?php for ( $i = 1; $i <=5; $i++){  ?>

<div id="my_title">
<h3> <?php _e('Show Add post','projapoti') ?> <?php echo $i; ?> Buttom  </h3>
<div>
<p><?php _e(' Add Size 700x auto','projapoti') ?> </p>
<textarea style="display:block; clear:both; width:95%" name="projapoti_op[loop][<?php echo $i; ?>]"  rows="5"> <?php echo esc_textarea( $projapoti_panel_op['loop'][$i] ); ?></textarea>
</div>
</div><!--my_title -->

<?php
} ?>




<?php projapoti_form_submit() ?>
</div><!--tab 6 -->
</div><!--my_contant -->
</form>
<div id="clear" style="clear:both">.</div>
</div><!--end my_panal -->

</div>
<?php	

}

endif;  // EndIf is_admin()
?>
