<?php get_header() ?>
<div class="main-page">
   <?php if (have_posts()) : ?>
  <h1 class="page-title">
						<?php
							if ( is_category() ) :
								printf( __( 'Category Archives: %s', 'projapoti' ), single_cat_title( '', false ) );

							elseif ( is_tag() ) :
								printf( __( 'Tag Archives: %s', 'projapoti' ), single_tag_title( '', false ) );

							elseif ( is_author() ) :

								the_post();
								printf( __( 'Author: %s', 'projapoti' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' );
								
								rewind_posts();

							elseif ( is_day() ) :
								printf( __( 'Day: %s', 'projapoti' ), '<span>' . get_the_date() . '</span>' );

							elseif ( is_month() ) :
								printf( __( 'Month: %s', 'projapoti' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );

							elseif ( is_year() ) :
								printf( __( 'Year: %s', 'projapoti' ), '<span>' . get_the_date( 'Y' ) . '</span>' );

							elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
								_e( 'Asides', 'projapoti' );

							elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
								_e( 'Images', 'projapoti');

							elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
								_e( 'Videos', 'projapoti' );

							elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
								_e( 'Quotes', 'projapoti' );

							elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
								_e( 'Links', 'projapoti' );

							else :
								_e( 'Archives', 'projapoti' );

							endif;
						?>
					</h1> 
               <?php while (have_posts()) : the_post(); ?>  
               
               

<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="f-title">
<h2> <?php the_date(); ?> <span class="t-ico"></span></h2>
<span class="array"></span>
</div><!--f-title -->
<div id="post-aria">
<div id="post-img">
<?php the_post_thumbnail('thumbnail',array('style'=>'width:200px; height:200px;'));?>
</div><!--img -->

<div class="post-details">
<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'projapoti' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
<p><?php the_excerpt(); ?></p>
</div><!--post-details -->
<div id="post-footer">
<span class="pa-info"><a href="#"><?php _e("Written by","projapoti") ?> : <?php the_author_posts_link(); ?>, <?php comments_popup_link(); ?>,<?php _e("Category","projapoti") ?>: <?php the_category(', ')?>-</a></span>
<span class="read-more"><a href="<?php the_permalink(); ?>"> <?php _e("Read More","projapoti") ?> <span class="r-ico"></span></a></span>
</div><!--post-footer -->
</div><!--post-aria -->
</div><!--post -->

<?php
if(empty($add)){$add='1';} else $add++;
echo '<div class="add'.$add.'">';

 global $projapoti_panel_op; echo stripslashes($projapoti_panel_op['loop'][$add]); echo '</div>'; ?>
               <?php endwhile; ?>
           <?php else : ?>
           	<h2 class="center"><?php _e("Not Found","projapoti") ?></h2>
		<p class="center"><?php _e("Sorry, but you are looking for something that isn't here.","projapoti") ?></p>
               
     <?php endif; ?>
<?php if(function_exists('projapoti_pagenavi')) { ?>
<?php projapoti_pagenavi(); ?>  
<?php } else { ?>     
<div class="navigation"><p><?php posts_nav_link('&#8734;','&laquo;&laquo; Previous Posts','Older Posts &raquo;&raquo;'); ?></p></div>
<?php } ?> 




</div><!--main- page -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>